import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onRecpanGetpty(){
                let rtnmsg = await this.executeRule("recpan.getpty")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanAltnam(){
                let rtnmsg = await this.executeRule("recpan.altnam")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanGet(){
                let rtnmsg = await this.executeRule("recpan.get")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanUpd(){
                let rtnmsg = await this.executeRule("recpan.upd")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanUpdall(){
                let rtnmsg = await this.executeRule("recpan.updall")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanEcif(){
                let rtnmsg = await this.executeRule("recpan.ecif")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanDspadr(){
                let rtnmsg = await this.executeRule("recpan.dspadr")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanLnkdbmpty(){
                let rtnmsg = await this.executeRule("recpan.lnkdbmpty")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onRecpanLnkinfptm(){
                let rtnmsg = await this.executeRule("recpan.lnkinfptm")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onEptyPtyget(){
                let rtnmsg = await this.executeRule("epty.ptyget")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onEptyPtyext(){
                let rtnmsg = await this.executeRule("epty.ptyext")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}